#property copyright "Anthony"

extern double Lots = 0.1;
extern double StopLossPips = 320; // 320 = 0.0032, because of prices out to 5 decimals the pips have to have one more decimal, i.e. 320 in this code is actually only 32 pips (0.0032)
extern double TakeProfitPips = 210; // 210 = 0.0021
extern double OrderPips = 50; // 50 = 0.0005
extern double OrderExpiryTime = 3600; // 3600 seconds = 1 hour
extern string CcyPair="EURUSD";
extern double TimePeriod=60;

int start()
{
	if(OrdersTotal()>0)
	{
		OrderSelect(0,SELECT_BY_POS);
		if( (OrderType()==OP_SELL && iOpen(CcyPair,TimePeriod,1)> iClose(CcyPair,TimePeriod,1)) ||
		    (OrderType()==OP_BUY  && iOpen(CcyPair,TimePeriod,1)<=iClose(CcyPair,TimePeriod,1)))
		{
			OrderClose(OrderTicket(),OrderLots(),OrderClosePrice(),0,CLR_NONE);
			// if Sell order exists and previous bar Open > prev bar Close then close trade OR if Buy order exists
			// and prev bar Open <= prev bar Close then close trade
	   }
	   else
	   {
  	       if(OrderType()==OP_SELL && iOpen(CcyPair,TimePeriod,1)<=iClose(CcyPair,TimePeriod,1))
  	       {
  	          OrderModify(OrderTicket(),OrderOpenPrice(),Bid+(OrderPips+StopLossPips)*Point,Ask-TakeProfitPips*Point,0,CLR_NONE);
           // if sell trade already on and sell signal still exists then modify SL and TP to account for new Bid/Ask
          }
	       if(OrderType()==OP_BUY  && iOpen(CcyPair,TimePeriod,1)>iClose(CcyPair,TimePeriod,1))
	       {
	          OrderModify(OrderTicket(),OrderOpenPrice(),Ask-(OrderPips+StopLossPips)*Point,Bid+TakeProfitPips*Point,0,CLR_NONE);
	        // if buy trade already on and buy signal still exists then modify SL and TP to account for new Bid/Ask
	       }
	   }
		if((OrderType()==OP_SELLLIMIT || OrderType()==OP_BUYLIMIT) && (TimeCurrent() - OrderOpenTime() >= OrderExpiryTime))
		{
			OrderDelete(OrderTicket(),CLR_NONE);
			// if PENDING Sell or Buy order exists & more than 1 hour (3600 seconds) has elapsed since order was opended then close Pending order
		}
	}
	if(OrdersTotal()==0)
   {
		if(iOpen(CcyPair,TimePeriod,1)<=iClose(CcyPair,TimePeriod,1))
		{
		   OrderSend(Symbol(),OP_SELLLIMIT,Lots,Bid+OrderPips*Point,5,Bid+(OrderPips+StopLossPips)*Point,Bid-(TakeProfitPips-OrderPips)*Point,NULL,0,TimeCurrent()+OrderExpiryTime,Green);
		}
		else
		{
		   OrderSend(Symbol(),OP_BUYLIMIT,Lots,Ask-OrderPips*Point,5,Ask-(OrderPips+StopLossPips)*Point,Ask+(TakeProfitPips-OrderPips)*Point,NULL,0,TimeCurrent()+OrderExpiryTime,Red);
      // if previous bar Open <= prev bar Close then enter a pending Sell order at a price 5 pips (0.0005) from current Bid
      // else [previous bar Open > prev bar Close] enter a pending Buy order at a price 5 pips (0.0005) from current Ask
      }
   }
	return(0);
}
// the end